Subject: Re: help with git usage

From: Andreas Ericsson <[email-masked]>
Date: Wed, 30 Apr 2008 15:09:43 +0200

Matt Graham wrote:
> On Tue, Apr 29, 2008 at 2:07 PM, Daniel Barkalow <[email-masked]> wrote:
>> On Tue, 29 Apr 2008, Daniel Quinlan wrote:
>>
>>  > I've been trying to use git for awhile now, (and I've read a lot of
>>  > documentation, though maybe my
>>  > comprehension has not been high enough) but there are several operations which
>>  > I
>>  > can't figure out:
>>  >
>>  > 1) After cloning a repository from work at home, making some changes and
>>  > committing them,
>>  > I use "git push" to push them back to the work repository.  The changes seem
>>  > to make it to the
>>  > work repository (I see the commit message in git log), but I can't figure out
>>  > how to get the
>>  > changes into the working set at work.  (evidently not merge, checkout or reset
>>  > -- seems like it
>>  > should be merge, but)
>>
>>  You shouldn't push to a non-bare repository.
> 
> Is there any reason it wouldn't be appropriate to make git refuse to
> push to non-bare repositories?

It has several very valid uses. Newcomers who don't know what happens are
often better off not doing it, which is why it's not recommended. Making
git refuse would prevent the valid uses altogether though.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231